View Issue Details

IDProjectCategoryView StatusLast Update
0002706SymmetricDS ProImprovementpublic2016-10-20 08:34
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.8.7 
Target Version3.8.7Fixed in Version3.8.7 
Summary0002706: Make it possible to log raw Ldap exceptions
DescriptionRight now, the raw LDAP exception gets wrapped in a ConsoleAuthenticationException and not logged.

Make it possible to log the LDAP exception details with this log4j.xml entry:
    <category name="com.jumpmind.symmetric.console.service.impl.UserAuthenticationLDAP">
        <priority value="DEBUG" />
    </category>
TagsNo tags attached.

Activities

elong

2016-08-05 15:39

developer   ~0000823

If there is an exception from LDAP, shouldn't that be be logged at ERROR level? You're not planning on enabling debug by default, are you?

This issue was entered into SymmetricDS project, but isn't this a Pro feature?

In 3.8, you can selectively target classes for DEBUG in the Manage->Logging screen while it's running. I wouldn't worry too much about configuring log4j in 3.7, but maybe changing the code to use a better level of logging would be good.

mmichalek

2016-10-11 12:04

administrator   ~0000888

Changing this to log at WARN level in 3.8.

Issue History

Date Modified Username Field Change
2016-08-05 14:39 mmichalek New Issue
2016-08-05 14:39 mmichalek Status new => assigned
2016-08-05 14:39 mmichalek Assigned To => mmichalek
2016-08-05 15:39 elong Note Added: 0000823
2016-08-05 15:56 mmichalek Project SymmetricDS => SymmetricDS Pro
2016-10-11 12:04 mmichalek Product Version => 3.8.7
2016-10-11 12:04 mmichalek Fixed in Version => 3.8.7
2016-10-11 12:04 mmichalek Target Version 3.7.37 => 3.8.7
2016-10-11 12:04 mmichalek Note Added: 0000888
2016-10-11 12:04 mmichalek Status assigned => resolved
2016-10-11 12:04 mmichalek Resolution open => fixed
2016-10-20 08:34 chenson Status resolved => closed